Package javassist.tools.reflect

# Interface Metalevel

public interface Metalevel
An interface to access a metaobject and a class metaobject. This interface is implicitly implemented by the reflective class.

## Method Summary

Modifier and Type
Method
Description
`ClassMetaobject`
`_getClass()`
Obtains the class metaobject associated with this object.
`Metaobject`
`_getMetaobject()`
Obtains the metaobject associated with this object.
`void`
`_setMetaobject(Metaobject m)`
Changes the metaobject associated with this object.

## Method Details

### _getClass

ClassMetaobject _getClass()
Obtains the class metaobject associated with this object.

### _getMetaobject

Metaobject _getMetaobject()
Obtains the metaobject associated with this object.

### _setMetaobject

void _setMetaobject(Metaobject m)
Changes the metaobject associated with this object.